Checks if a SOAP call has failed

- « SOAP Functions

- use_soap_error_handler »

- PHP Manual
- SOAP Functions
- Checks if a SOAP call has failed

# is_soap_fault

(PHP 5, PHP 7, PHP 8)

is_soap_fault — Checks if a SOAP call has failed

### Description

is_soap_fault(mixed `$object`): bool

This function is useful to check if the SOAP call failed, but without using exceptions. To use it, create a SoapClient object with the `exceptions` option set to zero or `false`. In this case, the SOAP method will return a special SoapFault object which encapsulates the fault details (faultcode, faultstring, faultactor and faultdetails).

If `exceptions` is not set then SOAP call will throw an exception on error. is_soap_fault() checks if the given parameter is a SoapFault object.

### Parameters

`object`

  The object to test.

### Return Values

This will return `true` on error, and `false` otherwise.

### Examples

Example #1 is_soap_fault() example

    <?php
    $client = new SoapClient("some.wsdl", array('exceptions' => 0));
    $result = $client->SomeFunction();
    if (is_soap_fault($result)) {
        trigger_error("SOAP Fault: (faultcode: {$result->faultcode}, faultstring: {$result->faultstring})", E_USER_ERROR);
    }
    ?>

Example #2 SOAP's standard method for error reporting is exceptions

    <?php
    try {
        $client = new SoapClient("some.wsdl");
        $result = $client->SomeFunction(/* ... */);
    } catch (SoapFault $fault) {
        trigger_error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_USER_ERROR);
    }
    ?>

### See Also

- SoapClient::__construct() - SoapClient constructor
- SoapFault::__construct() - SoapFault constructor